apiVersion: v1
kind: Pod
metadata:
  name: databaseds
  labels:
    app: "databaseds-{{ k8s_mariadbop_namespace }}"
spec:
  serviceAccountName: "{{ k8s_mariadbop_service_account }}"
  restartPolocy: Always
  containers:
    - name: databaseds
      image: artefact.skao.int/ska-tango-images-tango-databaseds:5.22.1
      ports:
        - containerPort: 10000
          name: databaseds
          protocol: TCP
      volumeMounts:
        - name: secrets-store-inline
          mountPath: "/mnt/secrets-store"
          readOnly: true
      env:
        - name: TZ
          value: SYSTEM
        - name: MYSQL_PASSWORD
          valueFrom:
            secretKeyRef:
              key: tangopassword
              name: dbpass
        - name: MYSQL_USER
          value: tango
        - name: MYSQL_HOST
          value: mariadb-0.mariadb-internal.{{ k8s_mariadbop_namespace }}.svc.{{ k8s_mariadbop_dc }}.internal.skao.int
      resources:
        requests:
          cpu: 500m
          memory: 128Mi
        limits:
          memory: 1Gi
          cpu: "2"
  volumes:
    - name: secrets-store-inline
      csi:
        driver: secrets-store.csi.k8s.io
        readOnly: true
        volumeAttributes:
          secretProviderClass: "myvaulty"
